Subject: RE: gcc doesn't work but seemed to install fine...
From: Barry Buchbinder <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 24 Sep 2002 06:54:13 -0700 (PDT)

download.com just points to setup.exe on the cygwin
home page so what she got was up to date but
incomplete.  Betty didn't see the instructions for how
to install so didn't install gcc and man, as neither
gcc nor man are part of the base install.  Betty
should see the the installation instructions on the
cygwin home page http://sources.redhat.com/cygwin/ and
then re-run steup.  And get in the habit of using the
cygwin home page and not download.com when dealing
with cygwin.

- Barry

On Mon, 23 Sep 2002, Betty Cheung wrote:

> Hi, all,
>
>    I installed cygwin 1.3.1 whole package on my PC
with windows XP from
> download.com as instructed and started cygwin from
my desktop. But when I
> compile a c program: gcc try.c -o try.exe, I got
"bash: gcc: command not
> found", then I typed 'man gcc' I got "bash: man:
command not found".
>   Could anybody tell me how to use gcc with cygwin?
any demo for that?
>
> Many Thanks!
>
> Betty

Betty,

It looks like your Cygwin was not set up properly
(missing or incorrect
$PATH, etc).  This could have something to do with the
fact that you
didn't get it from an official Cygwin mirror...  Also,
1.3.1 is OLD, OLD,
OLD!

Here's what you can do:
Rename your current cygwin directory (to "cygwin.old",
for example).
Go to http://cygwin.com/ , click on "Install Cygwin
now", and download
setup.exe.  Follow the instructions to upgrade your
Cygwin to 1.3.12-4
(which is the latest for now; 1.3.13 may be released
soon).  You may
choose any mirror.  Also install gcc-2.95.3-5 (or you
may try your luck
with 3.2-1), and any other packages you think you need
(e.g., man, less,
etc).  Move any files you created from your old cygwin
tree to the new
one.  Then try your compilation again.
	Igor
P.S. You may also remove your old cygwin tree at that
point -- you won't
need it anymore.
-- 
				http://cs.nyu.edu/~pechtcha/
      |\      _,,,---,,_		[email-masked]
ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
     |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski
    '---''(_/--'  `-'\_) fL	a.k.a
JaguaR-R-R-r-r-r-.-.-.  Meow!

"Water molecules expand as they grow warmer" (C)
Popular Science, Oct'02, p.51

__________________________________________________
Do you Yahoo!?
New DSL Internet Access from SBC & Yahoo!
http://sbc.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/